Subject: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Arash Esbati <[email-masked]>
Date: Mon, 01 Jul 2024 14:08:25 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> I don't think that's enough. If I understand correctly, the major
> problem is that LaTeX code block other than beamer code block is handled
> by `latex-mode' by default. The doc string of `org-edit-special' says:
> ,----
> | The LaTeX environment is copied into a new buffer.  Major mode is
> | set to the one associated to "latex" in ‘org-src-lang-modes’,
> | or to ‘latex-mode’ if there is none.
> `----

Ah, Ok, thanks.  And IIUC having an entry like this

(latex-mode . LaTeX-mode)

in `major-mode-remap-alist' doesn't help either, right?  (At least for
newer Emacs versions.)

> So users have to add another entry
> ("latex" . LaTeX)
> in ‘org-src-lang-modes’.
>
> As I wrote in the separate message, I think AUCTeX can accept to add
> such entry by default.
>
> (But adding
>    ("latex" . LaTeX)
> and changing
>    ("beamer" . latex)
> to
>    ("beamer" . LaTeX)
> aren't much trouble, after all. So it's reasonable as well to leave this
> decision to the user, of course.)

My only fear is that we change things outside AUCTeX from Lisp and
people will than tell us they use AUCTeX for usual TeX-writing and the
built-in mode for Org source blocks; and then the real fun begins.

Best, Arash